import { ContractApproveResponse } from './contract-approve-response';
import { ContractEvaluationResponse } from './contract-evaluation-response';

export interface ContractProposalResponse {
    contractProposalId?: number;
    employeeId?: number;
    type?: number;
    contractTypeId?: number;
    fromDate?: string;
    curFromDate?: string;
    toDate?: string;
    toDateByLaw?: string;
    curToDate?: string;
    positionId?: number;
    jobId?: number;
    organizationId?: number;
    curContractTypeId?: number;
    contractByLawId?: number;
    signerId?: number;
    signerPosition?: string;
    delegacyNo?: string;
    flagStatus?: number;
    status?: number;
    createdBy?: string;
    createDate?: string;
    lastUpdatedBy?: string;
    lastUpdateDate?: string;
    amountSalary?: number;
    contractNumber?: string;
    curContractNumber?: string;
    employeeCode?: string;
    fullName?: string;
    orgName?: string;
    positionName?: string;
    curContractTypeName?: string;
    contractTypeName?: string;
    contractByLawName?: string;
    disciplinedName?: string;
    isDisciplined?: number;
    kpiPoint?: string;
    rankName?: string;
    signerName?: string;
    managerName?: string;
    managerId?: number;
    managerOffer?: number;
    managerContractTypeName?: string;
    approveName?: string;
    approveOffer?: number;
    approveId?: number;
    approveContractTypeName?: string;
    bossName?: string;
    bossOffer?: number;
    bossId?: number;
    bossContractTypeName?: string;
    positionGroupId?: number;
    salaryPercent?: number;

    managerResponse?: ContractApproveResponse;
    approverResponse?: ContractApproveResponse;
    bossResponse?: ContractApproveResponse;
    evaluationsResponse?: ContractEvaluationResponse;
}
